org.apache.jmeter.protocol.http.control

## Class HttpMirrorControl

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.protocol.http.control.HttpMirrorControl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Searchable, TestElement

      public class HttpMirrorControl
      extends AbstractTestElement

  Test element that implements the Workbench HTTP Mirror function For unit tests, @see TestHttpMirrorControl
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_POOL_SIZE`
    `static int` | `DEFAULT_MAX_QUEUE_SIZE`
    `static java.lang.String` | `DEFAULT_PORT_S`
    `static java.lang.String` | `MAX_POOL_SIZE`
    `static java.lang.String` | `MAX_QUEUE_SIZE`
    `static java.lang.String` | `PORT`

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpMirrorControl()`
    `HttpMirrorControl(int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canRemove()` Called by Remove to determine if it is safe to remove the element.
    `int` | `getDefaultPort()`
    `java.lang.String` | `getMaxPoolSizeAsString()`
    `java.lang.String` | `getMaxQueueSizeAsString()`
    `int` | `getPort()`
    `java.lang.String` | `getPortString()`
    `boolean` | `isServerAlive()`
    `void` | `setMaxPoolSize(java.lang.String maxPoolSize)`
    `void` | `setMaxQueueSize(java.lang.String maxQueueSize)`
    `void` | `setPort(int port)`
    `void` | `setPort(java.lang.String port)`
    `void` | `startHttpMirror()`
    `void` | `stopHttpMirror()`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Field Detail

    - #### DEFAULT_PORT_S

          public static final java.lang.String DEFAULT_PORT_S

    - #### PORT

          public static final java.lang.String PORT

      See Also:
        Constant Field Values

    - #### MAX_POOL_SIZE

          public static final java.lang.String MAX_POOL_SIZE

      See Also:
        Constant Field Values

    - #### MAX_QUEUE_SIZE

          public static final java.lang.String MAX_QUEUE_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_POOL_SIZE

          public static final int DEFAULT_MAX_POOL_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_QUEUE_SIZE

          public static final int DEFAULT_MAX_QUEUE_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HttpMirrorControl

          public HttpMirrorControl()

    - #### HttpMirrorControl

          public HttpMirrorControl(int port)

  - ### Method Detail

    - #### setPort

          public void setPort(int port)

    - #### setPort

          public void setPort(java.lang.String port)

    - #### getPort

          public int getPort()

    - #### getPortString

          public java.lang.String getPortString()

    - #### getMaxPoolSizeAsString

          public java.lang.String getMaxPoolSizeAsString()

      Returns:
        Max Thread Pool size

    - #### setMaxPoolSize

          public void setMaxPoolSize(java.lang.String maxPoolSize)

      Parameters:
        `maxPoolSize` - Max Thread Pool size

    - #### getMaxQueueSizeAsString

          public java.lang.String getMaxQueueSizeAsString()

      Returns:
        Max Queue size

    - #### setMaxQueueSize

          public void setMaxQueueSize(java.lang.String maxQueueSize)

      Parameters:
        `maxQueueSize` - Max Queue size

    - #### getDefaultPort

          public int getDefaultPort()

    - #### startHttpMirror

          public void startHttpMirror()

    - #### stopHttpMirror

          public void stopHttpMirror()

    - #### canRemove

          public boolean canRemove()

      Description copied from class: `AbstractTestElement`
      Called by Remove to determine if it is safe to remove the element. The element can either clean itself up, and return true, or the element can return false.
      Specified by:
        `canRemove` in interface `TestElement`
      Overrides:
        `canRemove` in class `AbstractTestElement`
      Returns:
        true if safe to remove the element

    - #### isServerAlive

          public boolean isServerAlive()

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.